GNU bug report logs - #17241
24.3; Deadkeys

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Manuel <manuel.martinolmo@HIDDEN>; merged with #17791; dated Fri, 11 Apr 2014 15:26:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 17241 17791. Request was from Stefan Monnier <monnier@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Apr 2014 15:25:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 11 11:25:42 2014
Received: from localhost ([127.0.0.1]:45550 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WYdKj-00019r-TC
	for submit <at> debbugs.gnu.org; Fri, 11 Apr 2014 11:25:40 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56497)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <manuel.martinolmo@HIDDEN>) id 1WYcSL-0007CS-1p
 for submit <at> debbugs.gnu.org; Fri, 11 Apr 2014 10:29:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <manuel.martinolmo@HIDDEN>) id 1WYcS9-00046f-MK
 for submit <at> debbugs.gnu.org; Fri, 11 Apr 2014 10:29:19 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44819)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <manuel.martinolmo@HIDDEN>) id 1WYcS9-00046b-JA
 for submit <at> debbugs.gnu.org; Fri, 11 Apr 2014 10:29:13 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58173)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <manuel.martinolmo@HIDDEN>) id 1WYcS3-0005Os-83
 for bug-gnu-emacs@HIDDEN; Fri, 11 Apr 2014 10:29:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <manuel.martinolmo@HIDDEN>) id 1WYcRv-00043P-Qk
 for bug-gnu-emacs@HIDDEN; Fri, 11 Apr 2014 10:29:07 -0400
Received: from mail-wg0-x233.google.com ([2a00:1450:400c:c00::233]:65401)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <manuel.martinolmo@HIDDEN>) id 1WYcRv-000438-An
 for bug-gnu-emacs@HIDDEN; Fri, 11 Apr 2014 10:28:59 -0400
Received: by mail-wg0-f51.google.com with SMTP id k14so5416275wgh.34
 for <bug-gnu-emacs@HIDDEN>; Fri, 11 Apr 2014 07:28:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:date:from:user-agent:mime-version:to:subject
 :content-type:content-transfer-encoding;
 bh=lvSnaghuPK1/Yxu/7W5ChocznpRTkv6Cfq6TuyXJdvQ=;
 b=sl/W5Nc4U/iJE6mgklJV7B9gW3tM5R0perrwHTST9nCvincUDq8F3kF2gQyjnKL/KI
 +bxnjcGCrpC8Go3tx/rk601AHPVWn6K+qRvZD1IlLIWO0IPEVi1/iU04jNLDrCT5uo+f
 rxGhErsVTxtNsH5hyxxtP/vz+8dVDwib34k99iCA0j5rlKeqZNCMUbViZMzmnTApJWdC
 FDzoPqmOC9LYE9ljdQkVywi+It9ese4awvV6+mdBlRgS19U7gL3v2KlzcZ+lS3iK5pIg
 5oIUs8VnllL4TYfrg2fNXZPTGcRjXKKPANXKn0rchaEsd6J3ujLWHXdjR4GQrEO2M1rO
 Uoig==
X-Received: by 10.180.219.44 with SMTP id pl12mr3859361wic.12.1397226537646;
 Fri, 11 Apr 2014 07:28:57 -0700 (PDT)
Received: from [192.168.1.196] (85.136.67.157.dyn.user.ono.com.
 [85.136.67.157])
 by mx.google.com with ESMTPSA id pm5sm11527019wjc.11.2014.04.11.07.28.56
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Fri, 11 Apr 2014 07:28:56 -0700 (PDT)
Message-ID: <5347FC28.1090709@HIDDEN>
Date: Fri, 11 Apr 2014 16:28:56 +0200
From: Manuel <manuel.martinolmo@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.4.0
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; Deadkeys
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 11 Apr 2014 11:25:35 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)




In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.8.6)
of 2014-01-03 on gold, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11405000
System Description: Ubuntu 13.10

Configured using:
`configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
'--prefix=3D/usr' '--sharedstatedir=3D/var/lib' '--libexecdir=3D/usr/lib'
'--localstatedir=3D/var/lib' '--infodir=3D/usr/share/info'
'--mandir=3D/usr/share/man' '--with-pop=3Dyes'
'--enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/local/share/emacs/2=
4.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-l= 

isp:/usr/share/emacs/site-lisp'
'--with-crt-dir=3D/usr/lib/x86_64-linux-gnu' '--with-x=3Dyes'
'--with-x-toolkit=3Dgtk3' '--with-toolkit-scroll-bars'
'build_alias=3Dx86_64-linux-gnu' 'CFLAGS=3D-g -O2 -fstack-protector
--param=3Dssp-buffer-size=3D4 -Wformat -Werror=3Dformat-security -Wall'
'LDFLAGS=3D-Wl,-Bsymbolic-functions -Wl,-z,relro'
'CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2''

Important settings:
value of $LANG: es_ES.UTF-8
value of $XMODIFIERS: @im=3Dibus
locale-coding-system: utf-8-unix
default enable-multibyte-characters: t

Major mode: Help

Minor modes in effect:
shell-dirtrack-mode: t
tooltip-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
buffer-read-only: t
line-number-mode: t
transient-mark-mode: t

Recent input:
I SPC l o <backspace> <backspace> <backspace> <backspace>=20
<backspace> SPC I SPC l o o f SPC <backspace> <backspace>=20
k SPC f o r r SPC <backspace> <backspace> SPC i n f=20
o r m a t i o n <backspace> n SPC o n SPC i n t e r=20
n e t <backspace> <backspace> <backspace> <backspace>=20
<backspace> <backspace> <backspace> <backspace> t h=20
e SPC w e b <backspace> <backspace> <backspace> <backspace>=20
<backspace> <backspace> <backspace> <backspace> <backspace>=20
<backspace> <backspace> <backspace> <backspace> <backspace>=20
<backspace> <backspace> <backspace> <backspace> <backspace>=20
<backspace> <backspace> <backspace> <backspace> <backspace>=20
<backspace> <backspace> <backspace> <backspace> <backspace>=20
<backspace> <backspace> g o o g l e SPC t h e SPC p=20
l <backspace> r o b l e m SPC p <backspace> b u t SPC=20
I SPC d i d <down> <down> <down> <down> <down> <down>=20
<down> <down> <down> <down> <down> <down> <down> <down>=20
<down> <down> <left> <left> <left> <left> <left> <left>=20
<left> <left> <left> <left> <left> <left> <left> <left>=20
<left> <left> <left> <left> <left> <left> <left> <left>=20
<left> d <right> <right> <right> <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<right> <right> <backspace> <backspace> <backspace>=20
<backspace> ' d <backspace> v e SPC n o t SPC f i n=20
g SPC <backspace> <backspace> d SPC n o t u <backspace>=20
h i n g SPC s o SPC <backspace> . . . SPC T h a n k=20
s SPC p <backspace> f o r SPC a l l . C-c C-c y e s=20
<return> m a i l SPC c l i e n t <return> <down-mouse-1>=20
<mouse-1> <help-echo> <help-echo> <down-mouse-1> <mouse-1>=20
<help-echo> <down-mouse-1> <mouse-1> C-x <escape> =C2=BA=20
<escape> <escape> <escape> <escape> <escape> <escape>=20
<escape> x r e <tab> p o <tab> r t <tab> <return>

Recent messages:
byte-code: End of buffer [16 times]
Auto-saving...done
Mark set
Saving file /home/manuel/.emacs...
Wrote /home/manuel/.emacs [2 times]
Sending...
Mark set [2 times]
Sending via mail...
Sending...done
Making completion list... [2 times]

Load-path shadows:
/usr/share/emacs24/site-lisp/dictionaries-common/flyspell hides 
/usr/share/=
emacs/24.3/lisp/textmodes/flyspell
/usr/share/emacs24/site-lisp/dictionaries-common/ispell hides 
/usr/share/em=
acs/24.3/lisp/textmodes/ispell
/usr/share/emacs24/site-lisp/latex-cjk-thai/thai-word hides 
/usr/share/emac=
s/24.3/lisp/language/thai-word
/usr/share/emacs24/site-lisp/auctex/tex-info hides 
/usr/share/emacs/site-li=
sp/auctex/tex-info
/usr/share/emacs24/site-lisp/auctex/font-latex hides 
/usr/share/emacs/site-=
lisp/auctex/font-latex
/usr/share/emacs24/site-lisp/auctex/tex-mik hides 
/usr/share/emacs/site-lis=
p/auctex/tex-mik
/usr/share/emacs24/site-lisp/auctex/texmathp hides 
/usr/share/emacs/site-li=
sp/auctex/texmathp
/usr/share/emacs24/site-lisp/auctex/tex-buf hides 
/usr/share/emacs/site-lis=
p/auctex/tex-buf
/usr/share/emacs24/site-lisp/auctex/tex-jp hides 
/usr/share/emacs/site-lisp=
/auctex/tex-jp
/usr/share/emacs24/site-lisp/auctex/toolbar-x hides 
/usr/share/emacs/site-l=
isp/auctex/toolbar-x
/usr/share/emacs24/site-lisp/auctex/tex hides 
/usr/share/emacs/site-lisp/au=
ctex/tex
/usr/share/emacs24/site-lisp/auctex/tex-fold hides 
/usr/share/emacs/site-li=
sp/auctex/tex-fold
/usr/share/emacs24/site-lisp/auctex/context-en hides 
/usr/share/emacs/site-=
lisp/auctex/context-en
/usr/share/emacs24/site-lisp/auctex/prv-emacs hides 
/usr/share/emacs/site-l=
isp/auctex/prv-emacs
/usr/share/emacs24/site-lisp/auctex/tex-font hides 
/usr/share/emacs/site-li=
sp/auctex/tex-font
/usr/share/emacs24/site-lisp/auctex/latex hides 
/usr/share/emacs/site-lisp/=
auctex/latex
/usr/share/emacs24/site-lisp/auctex/preview hides 
/usr/share/emacs/site-lis=
p/auctex/preview
/usr/share/emacs24/site-lisp/auctex/plain-tex hides 
/usr/share/emacs/site-l=
isp/auctex/plain-tex
/usr/share/emacs24/site-lisp/auctex/context hides 
/usr/share/emacs/site-lis=
p/auctex/context
/usr/share/emacs24/site-lisp/auctex/multi-prompt hides 
/usr/share/emacs/sit=
e-lisp/auctex/multi-prompt
/usr/share/emacs24/site-lisp/auctex/bib-cite hides 
/usr/share/emacs/site-li=
sp/auctex/bib-cite
/usr/share/emacs24/site-lisp/auctex/tex-bar hides 
/usr/share/emacs/site-lis=
p/auctex/tex-bar
/usr/share/emacs24/site-lisp/auctex/tex-style hides 
/usr/share/emacs/site-l=
isp/auctex/tex-style
/usr/share/emacs24/site-lisp/auctex/context-nl hides 
/usr/share/emacs/site-=
lisp/auctex/context-nl

Features:
(mailalias mailclient browse-url cus-edit cus-start cus-load wid-edit
shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils preview prv-emacs warnings tex-bar tex-buf
toolbar-x font-latex byte-opt bytecomp byte-compile cconv latex
tex-style tex dbus xml latexenc noutline outline easy-mmode dired
help-mode python-mode python skeleton advice help-fns advice-preload
derived easymenu edmacro kmacro cl-macs gv thingatpt imenu flymake rx
shell pcomplete cc-cmds cc-engine cc-vars cc-defs compile cl cl-lib
comint ansi-color ring preview-latex tex-site auto-loads time-date
tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
register page menu-bar rfn-eshadow timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)


;;; My emacs' problem is that when I try to write latin accent it
doesn't appear nothing, I mean (I need to write \'a because
<dead-acute> is undefined). I use a Spanish keyboard. Thanks
for all.





Acknowledgement sent to Manuel <manuel.martinolmo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17241; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.